petsc-3.7.1 2016-05-15
Report Typos and Errors

# DMShellCreate

Creates a shell DM object, used to manage user-defined problem data

### Synopsis

    #include "petscdmshell.h"
    PetscErrorCode  DMShellCreate(MPI_Comm comm,DM *dm)

Collective on MPI_Comm Many br

### Input Parameter

comm -the processors that will share the global vector Many br

### Output Parameters

shell -the shell DM Many br

Many br

### See Also

DMDestroy(), DMCreateGlobalVector(), DMCreateLocalVector(), DMShellSetContext(), DMShellGetContext()

Level:advanced
Location:src/dm/impls/shell/dmshell.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/ksp/ksp/examples/tutorials/ex65.c.html